> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pathstack.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Account Activity Summary



## OpenAPI

````yaml openapi_2024-03-26 get /account/activity-summary
openapi: 3.1.0
info:
  title: FastAPI
  version: '2024-03-26'
servers:
  - url: https://api.pathstack.io
    description: PathStack production environment
security: []
paths:
  /account/activity-summary:
    get:
      tags:
        - Account
      summary: Account Activity Summary
      operationId: account_activity_summary_account_activity_summary_get
      parameters:
        - name: days
          in: query
          required: false
          schema:
            type: integer
            title: Window (days)
            description: Lookback window in days. Must be 7, 14, 30, or 90.
            default: 14
          description: Lookback window in days. Must be 7, 14, 30, or 90.
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            title: Limit
            description: >-
              Maximum number of results for trips_by_connection and
              events_by_type.
            default: 10
          description: >-
            Maximum number of results for trips_by_connection and
            events_by_type.
        - name: x-api-version
          in: header
          required: false
          schema:
            type: string
            format: date
            default: '2024-03-26'
            title: X-Api-Version
          examples:
            default:
              value: '2024-03-26'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Success_ActivitySummary_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - JWTBearer: []
components:
  schemas:
    Success_ActivitySummary_:
      properties:
        data:
          $ref: '#/components/schemas/ActivitySummary'
          description: Successful response payload
      type: object
      required:
        - data
      title: Success[ActivitySummary]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ActivitySummary:
      properties:
        active_vehicles:
          items:
            $ref: '#/components/schemas/ActiveVehiclePoint'
          type: array
          title: Active Vehicles
        trips_by_connection:
          items:
            $ref: '#/components/schemas/TripsByConnection'
          type: array
          title: Trips By Connection
        events_by_day:
          items:
            $ref: '#/components/schemas/EventsByDay'
          type: array
          title: Events By Day
        events_by_type:
          items:
            $ref: '#/components/schemas/EventsByType'
          type: array
          title: Events By Type
        limit:
          type: integer
          title: Limit
      type: object
      required:
        - active_vehicles
        - trips_by_connection
        - events_by_day
        - events_by_type
        - limit
      title: ActivitySummary
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ActiveVehiclePoint:
      properties:
        date:
          type: string
          title: Date
        connection:
          type: string
          title: Connection
        count:
          type: integer
          title: Count
      type: object
      required:
        - date
        - connection
        - count
      title: ActiveVehiclePoint
    TripsByConnection:
      properties:
        connection:
          type: string
          title: Connection
        count:
          type: integer
          title: Count
      type: object
      required:
        - connection
        - count
      title: TripsByConnection
    EventsByDay:
      properties:
        date:
          type: string
          title: Date
        event_key:
          type: string
          title: Event Key
        event_type:
          type: string
          title: Event Type
        count:
          type: integer
          title: Count
      type: object
      required:
        - date
        - event_key
        - event_type
        - count
      title: EventsByDay
    EventsByType:
      properties:
        event_key:
          type: string
          title: Event Key
        event_type:
          type: string
          title: Event Type
        count:
          type: integer
          title: Count
      type: object
      required:
        - event_key
        - event_type
        - count
      title: EventsByType
  securitySchemes:
    JWTBearer:
      type: http
      scheme: bearer

````